__WCPrivilegedAccess

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.widgets
Class __WCPrivilegedAccess

    java.lang.Object
      net.ctdp.rfdynhud.widgets.__WCPrivilegedAccess

    public class __WCPrivilegedAccess

extends java.lang.Object

Don't use this at home!

Author:
  Marvin Froehlich (CTDP)

Constructor Summary
`__WCPrivilegedAccess()`

Method Summary
`static void` | `addWidget(WidgetsConfiguration config, Widget widget, boolean isLoading)`
`static void` | `checkFixAndBakeConfiguration(WidgetsConfiguration widgetsConfig, boolean isEditorMode)`
`static void` | `clear(WidgetsConfiguration config, LiveGameData gameData, boolean isEditorMode, WidgetsConfiguration.ConfigurationLoadListener loadListener)`
`static void` | `removeWidget(WidgetsConfiguration config, Widget widget)`
`static void` | `setInputMappings(WidgetsConfiguration config, InputMappings inputMappings)`
`static void` | `setJustLoaded(WidgetsConfiguration config, LiveGameData gameData, boolean isEditorMode, java.lang.String name, WidgetsConfiguration.ConfigurationLoadListener loadListener)`
`static void` | `setValid(WidgetsConfiguration config, boolean valid)`
`static boolean` | `setViewport(int x, int y, int w, int h, WidgetsConfiguration widgetsConfig)`
`static void` | `sortWidgets(WidgetsConfiguration config)`
`static boolean` | `updateNameMapping(Widget widget, java.lang.String oldName, WidgetsConfiguration widgetsConfig)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### __WCPrivilegedAccess

    public __WCPrivilegedAccess()

Method Detail

### addWidget

    public static final void addWidget(WidgetsConfiguration config,
                                       Widget widget,
                                       boolean isLoading)

### removeWidget

    public static final void removeWidget(WidgetsConfiguration config,
                                          Widget widget)

### clear

    public static final void clear(WidgetsConfiguration config,
                                   LiveGameData gameData,
                                   boolean isEditorMode,
                                   WidgetsConfiguration.ConfigurationLoadListener loadListener)

### updateNameMapping

    public static final boolean updateNameMapping(Widget widget,
                                                  java.lang.String oldName,
                                                  WidgetsConfiguration widgetsConfig)

### setInputMappings

    public static final void setInputMappings(WidgetsConfiguration config,
                                              InputMappings inputMappings)

### sortWidgets

    public static final void sortWidgets(WidgetsConfiguration config)

### setValid

    public static final void setValid(WidgetsConfiguration config,
                                      boolean valid)

### checkFixAndBakeConfiguration

    public static final void checkFixAndBakeConfiguration(WidgetsConfiguration widgetsConfig,
                                                          boolean isEditorMode)

### setJustLoaded

    public static final void setJustLoaded(WidgetsConfiguration config,
                                           LiveGameData gameData,
                                           boolean isEditorMode,
                                           java.lang.String name,
                                           WidgetsConfiguration.ConfigurationLoadListener loadListener)

### setViewport

    public static final boolean setViewport(int x,
                                            int y,
                                            int w,
                                            int h,
                                            WidgetsConfiguration widgetsConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD